Page MenuHomePhabricator

Audio playback in Safari (ogv.js) stutters when playing in background tab
Closed, ResolvedPublic

Description

Load up https://commons.wikimedia.org/wiki/File:Albert_Farrington_-_It%27s_a_Long_Long_Way_to_Tipperary_-_1915.oga in Safari, start playback, then switch to another tab. Playback continues, but stutters a lot.

Probably due to use of timers in ogv.js that are throttled when using background tab; it tries to keep up with decoding based on the audio output callbacks (which are not throttled, in theory) but it's not quite handling everything it needs it seems.

Tested in Safari on OS X 10.10.5

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterUpdate ogv.js to 1.1.0 release

Event Timeline

brion created this task.Oct 12 2015, 5:05 AM
brion claimed this task.
brion raised the priority of this task from to Low.
brion updated the task description. (Show Details)
brion added a project: TimedMediaHandler.
brion added a subscriber: brion.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2015, 5:05 AM

Filed in ogv.js github issues so it's on the board on that end: https://github.com/brion/ogv.js/issues/318

TheDJ moved this task from Backlog to Reported Upstream on the Upstream board.Oct 20 2015, 12:01 PM
TheDJ moved this task from To sort to Player on the TimedMediaHandler board.Oct 21 2015, 6:59 PM
brion added a comment.May 4 2016, 1:24 AM

Fixed upstream in 1.1.0-alpha.2.

Change 286307 had a related patch set uploaded (by Brion VIBBER):
[WIP] Update ogv.js to 1.1.0-alpha.2

https://gerrit.wikimedia.org/r/286307

brion added a comment.May 11 2016, 5:00 PM

1.1.0 is ready to merge and will resolve this: https://gerrit.wikimedia.org/r/#/c/286307/

TheDJ closed this task as Resolved.May 11 2016, 6:23 PM
TheDJ removed a project: Patch-For-Review.
TheDJ moved this task from Player to Done on the TimedMediaHandler board.

Change 286307 merged by jenkins-bot:
Update ogv.js to 1.1.0 release

https://gerrit.wikimedia.org/r/286307